> ## Documentation Index
> Fetch the complete documentation index at: https://docs.maesn.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get bill document

## Field support per integration

<AccordionGroup>
  <Note>
    Please note that the content in output is base64-encoded.
  </Note>

  <Accordion title="BuchhaltungsButler" icon="https://mintcdn.com/maesn/51AaCYhZi3VILsjj/logo/buchhaltungsbutler.svg?fit=max&auto=format&n=51AaCYhZi3VILsjj&q=85&s=3c7e3e932413af1baa050ec41ef97a10" width="24" height="24" data-path="logo/buchhaltungsbutler.svg">
    Supported Response Fields:

    <ResponseField name="id" type="string" />

    <ResponseField name="fileName" type="string" />

    <ResponseField name="contentType" type="string" />

    <ResponseField name="base64Encoded" type="boolean" />

    <ResponseField name="content" type="string" />
  </Accordion>

  <Accordion title="Lexware Office" icon="https://mintcdn.com/maesn/51AaCYhZi3VILsjj/logo/lexoffice.svg?fit=max&auto=format&n=51AaCYhZi3VILsjj&q=85&s=efe4da1d7b59a552d1938ec981ccbc1e" width="24" height="24" data-path="logo/lexoffice.svg">
    Supported Response Fields:

    <ResponseField name="fileName" type="string" />

    <ResponseField name="contentType" type="string" />

    <ResponseField name="base64Encoded" type="boolean" />

    <ResponseField name="content" type="string" />
  </Accordion>

  <Accordion title="Qonto" icon="https://mintcdn.com/maesn/51AaCYhZi3VILsjj/logo/qonto.svg?fit=max&auto=format&n=51AaCYhZi3VILsjj&q=85&s=61e31bd242bd814d5da2b64b610d6f64" href="/integrations/qonto" width="1100" height="1100" data-path="logo/qonto.svg">
    <Note>
      Please note that the content in output is the url to download the document.
    </Note>

    Supported Response Fields:

    <ResponseField name="id" type="string" />

    <ResponseField name="base64Encoded" type="boolean" />

    <ResponseField name="content" type="string" />

    <ResponseField name="contentType" type="string" />

    <ResponseField name="fileName" type="string" />
  </Accordion>

  <Accordion title="sevdesk" icon="https://mintcdn.com/maesn/gCd41Ws3USFubam4/logo/sevdesk.svg?fit=max&auto=format&n=gCd41Ws3USFubam4&q=85&s=2b266052b2531cf2995f78c2aecf6019" width="24" height="24" data-path="logo/sevdesk.svg">
    Supported Response Fields:

    <ResponseField name="base64Encoded" type="boolean" />

    <ResponseField name="content" type="string" />

    <ResponseField name="contentType" type="string" />
  </Accordion>
</AccordionGroup>


## OpenAPI

````yaml get /accounting/bills/{billId}/document
openapi: 3.0.0
info:
  title: Maesn unified API
  description: The Maesn unified API description
  version: '1.0'
  contact: {}
servers:
  - url: https://api.maesn.dev
security: []
tags:
  - name: maesn
    description: ''
paths:
  /accounting/bills/{billId}/document:
    get:
      tags:
        - accounting
      operationId: getBillDocument
      parameters:
        - name: billId
          required: true
          in: path
          schema:
            type: string
        - name: X-API-KEY
          description: API key
          in: header
          schema:
            type: string
          required: true
        - name: X-ACCOUNT-KEY
          description: Account key
          in: header
          schema:
            type: string
          required: true
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/BaseResponseDto'
                  - properties:
                      data:
                        $ref: '#/components/schemas/DocumentResponseDto'
                        type: object
components:
  schemas:
    BaseResponseDto:
      type: object
      properties:
        meta:
          $ref: '#/components/schemas/MetaResponse'
        data:
          oneOf:
            - type: object
            - type: array
    DocumentResponseDto:
      type: object
      properties:
        id:
          type: string
          example: document id
        base64Encoded:
          type: boolean
          example: true
        content:
          type: string
          example: content
        contentType:
          type: string
          example: application/pdf
        fileName:
          type: string
          example: invoice.pdf
    MetaResponse:
      type: object
      properties:
        warnings:
          type: array
          items:
            type: string
            example: Field not used by target system
        pagination:
          $ref: '#/components/schemas/PaginationResponse'
    PaginationResponse:
      type: object
      properties:
        total:
          type: number
          example: 125
        perPage:
          type: number
          example: 50
        currentPage:
          type: number
          example: 1
        totalPages:
          type: number
          example: 3

````